

namespace Hawkeye.VisionBuilder.Workflow.Datatypes.Elements.Parent;

public class NoParentCoordinates:IHaveParentCoordinates
{
    private NoParentCoordinates()
    {
    }

    public static NoParentCoordinates Instance { get; }=new NoParentCoordinates();
    public Vector2 Location { get; set; }=Vector2.Zero;
    public float Rotation { get; set; } = 0;
}